Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.parsers
Class AbstractSAXParser

    java.lang.Object
      |
      +--weblogic.apache.xerces.parsers.XMLParser
            |
            +--weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
                  |
                  +--weblogic.apache.xerces.parsers.AbstractSAXParser

Direct Known Subclasses:
  SAXParser

public abstract class AbstractSAXParser
extends AbstractXMLDocumentParser
implements weblogic.apache.xerces.impl.xs.psvi.PSVIProvider, org.xml.sax.Parser, org.xml.sax.XMLReader

This is the base class of all SAX parsers. It implements both the SAX1 and SAX2 parser functionality, while the actual pipeline is defined in the parser configuration.

Inner Class Summary
`protected static class` | `AbstractSAXParser.AttributesProxy`
`protected static class` | `AbstractSAXParser.LocatorProxy`

Field Summary
`protected static java.lang.String` | `DECLARATION_HANDLER` Property id: declaration handler.
`protected static java.lang.String` | `DOM_NODE` Property id: DOM node.
`protected org.xml.sax.ContentHandler` | `fContentHandler` Content handler.
`protected org.xml.sax.ext.DeclHandler` | `fDeclHandler` Decl handler.
`protected org.xml.sax.DocumentHandler` | `fDocumentHandler` Document handler.
`protected org.xml.sax.DTDHandler` | `fDTDHandler` DTD handler.
`protected org.xml.sax.ext.LexicalHandler` | `fLexicalHandler` Lexical handler.
`protected boolean` | `fNamespacePrefixes` Namespace prefixes.
`protected boolean` | `fNamespaces` Namespaces.
`protected boolean` | `fNormalizeData` Expose XML Schema schema_normalize_values via DOM
`protected boolean` | `fParseInProgress` True if a parse is in progress.
`protected QName` | `fQName`
`protected static java.lang.String` | `LEXICAL_HANDLER` Property id: lexical handler.
`protected static java.lang.String` | `NAMESPACE_PREFIXES` Feature identifier: namespace prefixes.
`protected static java.lang.String` | `NAMESPACES` Feature identifier: namespaces.
`protected static java.lang.String` | `NORMALIZE_DATA` Expose XML Schema normalize value
`protected static java.lang.String` | `STRING_INTERNING` Feature id: string interning.

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource, fInDTD`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Constructor Summary
`protected` | `AbstractSAXParser(XMLParserConfiguration config)` Default constructor.

Method Summary
`void` | `attributeDecl(java.lang.String elementName, java.lang.String attributeName, java.lang.String type, java.lang.String[] enumeration, java.lang.String defaultType, XMLString defaultValue, XMLString nonNormalizedDefaultValue, Augmentations augs)` An attribute declaration.
`void` | `characters(XMLString text, Augmentations augs)` Character content.
`void` | `comment(XMLString text, Augmentations augs)` A comment.
`void` | `doctypeDecl(java.lang.String rootElement, java.lang.String publicId, java.lang.String systemId, Augmentations augs)` Notifies of the presence of the DOCTYPE line in the document.
`void` | `elementDecl(java.lang.String name, java.lang.String contentModel, Augmentations augs)` An element declaration.
`void` | `endCDATA(Augmentations augs)` The end of a CDATA section.
`void` | `endDocument(Augmentations augs)` The end of the document.
`void` | `endDTD(Augmentations augs)` The end of the DTD.
`void` | `endElement(QName element, Augmentations augs)` The end of an element.
`void` | `endExternalSubset(Augmentations augs)` The end of the DTD external subset.
`void` | `endGeneralEntity(java.lang.String name, Augmentations augs)` This method notifies the end of an entity.
`void` | `endParameterEntity(java.lang.String name, Augmentations augs)` This method notifies the end of an entity.
`void` | `endPrefixMapping(java.lang.String prefix, Augmentations augs)` The end of a namespace prefix mapping.
`void` | `externalEntityDecl(java.lang.String name, XMLResourceIdentifier identifier, Augmentations augs)` An external entity declaration.
`AttributePSVI` | `getAttributePSVI(int index)`
`AttributePSVI` | `getAttributePSVIByName(java.lang.String uri, java.lang.String localname)`
`org.xml.sax.ContentHandler` | `getContentHandler()` Return the current content handler.
`protected org.xml.sax.ext.DeclHandler` | `getDeclHandler()` Returns the DTD declaration event handler.
`org.xml.sax.DTDHandler` | `getDTDHandler()` Return the current DTD handler.
`ElementPSVI` | `getElementPSVI()`
`org.xml.sax.EntityResolver` | `getEntityResolver()` Return the current entity resolver.
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Return the current error handler.
`boolean` | `getFeature(java.lang.String featureId)` Query the state of a feature.
`protected org.xml.sax.ext.LexicalHandler` | `getLexicalHandler()` Returns the lexical handler.
`java.lang.Object` | `getProperty(java.lang.String propertyId)` Query the value of a property.
`void` | `ignorableWhitespace(XMLString text, Augmentations augs)` Ignorable whitespace.
`void` | `internalEntityDecl(java.lang.String name, XMLString text, XMLString nonNormalizedText, Augmentations augs)` An internal entity declaration.
`void` | `notationDecl(java.lang.String name, XMLResourceIdentifier identifier, Augmentations augs)` A notation declaration
`void` | `parse(org.xml.sax.InputSource inputSource)` parse
`void` | `parse(java.lang.String systemId)` Parses the input source specified by the given system identifier.
`void` | `processingInstruction(java.lang.String target, XMLString data, Augmentations augs)` A processing instruction.
`void` | `reset()` Reset all components before parsing.
`void` | `setContentHandler(org.xml.sax.ContentHandler contentHandler)` Allow an application to register a content event handler.
`protected void` | `setDeclHandler(org.xml.sax.ext.DeclHandler handler)` Set the DTD declaration event handler.
`void` | `setDocumentHandler(org.xml.sax.DocumentHandler documentHandler)` Allow an application to register a document event handler.
`void` | `setDTDHandler(org.xml.sax.DTDHandler dtdHandler)` Allow an application to register a DTD event handler.
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)` Sets the resolver used to resolve external entities.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)` Allow an application to register an error event handler.
`void` | `setFeature(java.lang.String featureId, boolean state)` Set the state of any feature in a SAX2 parser.
`protected void` | `setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)` Set the lexical event handler.
`void` | `setLocale(java.util.Locale locale)` Set the locale to use for messages.
`void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` Set the value of any property in a SAX2 parser.
`void` | `startCDATA(Augmentations augs)` The start of a CDATA section.
`void` | `startDocument(XMLLocator locator, java.lang.String encoding, Augmentations augs)` The start of the document.
`void` | `startElement(QName element, XMLAttributes attributes, Augmentations augs)` The start of an element.
`void` | `startExternalSubset(XMLResourceIdentifier identifier, Augmentations augs)` The start of the DTD external subset.
`void` | `startGeneralEntity(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String encoding, Augmentations augs)` This method notifies of the start of an entity.
`void` | `startParameterEntity(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String encoding, Augmentations augs)` This method notifies of the start of parameter entity.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri, Augmentations augs)` The start of a namespace prefix mapping.
`void` | `unparsedEntityDecl(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String notation, Augmentations augs)` An unparsed entity declaration.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, element, empty, emptyElement, endAttlist, endConditional, endContentModel, endGroup, getDocumentSource, ignoredCharacters, occurrence, pcdata, separator, setDocumentSource, startAttlist, startConditional, startContentModel, startDTD, startGroup, textDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACES

    protected static final java.lang.String NAMESPACES

  Feature identifier: namespaces.

### NAMESPACE_PREFIXES

    protected static final java.lang.String NAMESPACE_PREFIXES

  Feature identifier: namespace prefixes.

### NORMALIZE_DATA

    protected static final java.lang.String NORMALIZE_DATA

  Expose XML Schema normalize value

### STRING_INTERNING

    protected static final java.lang.String STRING_INTERNING

  Feature id: string interning.

### LEXICAL_HANDLER

    protected static final java.lang.String LEXICAL_HANDLER

  Property id: lexical handler.

### DECLARATION_HANDLER

    protected static final java.lang.String DECLARATION_HANDLER

  Property id: declaration handler.

### DOM_NODE

    protected static final java.lang.String DOM_NODE

  Property id: DOM node.

### fNamespaces

    protected boolean fNamespaces

  Namespaces.

### fNamespacePrefixes

    protected boolean fNamespacePrefixes

  Namespace prefixes.

### fNormalizeData

    protected boolean fNormalizeData

  Expose XML Schema schema_normalize_values via DOM

### fContentHandler

    protected org.xml.sax.ContentHandler fContentHandler

  Content handler.

### fDocumentHandler

    protected org.xml.sax.DocumentHandler fDocumentHandler

  Document handler.

### fDTDHandler

    protected org.xml.sax.DTDHandler fDTDHandler

  DTD handler.

### fDeclHandler

    protected org.xml.sax.ext.DeclHandler fDeclHandler

  Decl handler.

### fLexicalHandler

    protected org.xml.sax.ext.LexicalHandler fLexicalHandler

  Lexical handler.

### fQName

    protected QName fQName

### fParseInProgress

    protected boolean fParseInProgress

  True if a parse is in progress. This state is needed because some features/properties cannot be set while parsing (e.g. validation and namespaces).

Constructor Detail

### AbstractSAXParser

    protected AbstractSAXParser(XMLParserConfiguration config)

  Default constructor.

Method Detail

### startDocument

    public void startDocument(XMLLocator locator,
                              java.lang.String encoding,
                              Augmentations augs)
                       throws XNIException

  The start of the document.

  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of this document. However, it is strongly recommended that a locator be supplied that can at least report the system identifier of the document.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    startDocument in class AbstractXMLDocumentParser

### doctypeDecl

    public void doctypeDecl(java.lang.String rootElement,
                            java.lang.String publicId,
                            java.lang.String systemId,
                            Augmentations augs)
                     throws XNIException

  Notifies of the presence of the DOCTYPE line in the document.

  Parameters:
    `rootElement` - The name of the root element.
    `publicId` - The public identifier if an external DTD or null if the external DTD is specified using SYSTEM.
    `systemId` - The system identifier if an external DTD, null otherwise.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    doctypeDecl in class AbstractXMLDocumentParser

### startGeneralEntity

    public void startGeneralEntity(java.lang.String name,
                                   XMLResourceIdentifier identifier,
                                   java.lang.String encoding,
                                   Augmentations augs)
                            throws XNIException

  This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entity names are just the entity name.

  Note: Since the document is an entity, the handler will be notified of the start of the document entity by calling the startEntity method with the entity name "[xml]" before calling the startDocument method. When exposing entity boundaries through the SAX API, the document entity is never reported, however.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `name` - The name of the entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    startGeneralEntity in class AbstractXMLDocumentParser

### endGeneralEntity

    public void endGeneralEntity(java.lang.String name,
                                 Augmentations augs)
                          throws XNIException

  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entity names are just the entity name.

  Note: Since the document is an entity, the handler will be notified of the end of the document entity by calling the endEntity method with the entity name "[xml]" after calling the endDocument method. When exposing entity boundaries through the SAX API, the document entity is never reported, however.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `name` - The name of the entity.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    endGeneralEntity in class AbstractXMLDocumentParser

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri,
                                   Augmentations augs)
                            throws XNIException

  The start of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Parameters:
    `prefix` - The namespace prefix.
    `uri` - The URI bound to the prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    startPrefixMapping in class AbstractXMLDocumentParser

### startElement

    public void startElement(QName element,
                             XMLAttributes attributes,
                             Augmentations augs)
                      throws XNIException

  The start of an element. If the document specifies the start element by using an empty tag, then the startElement method will immediately be followed by the endElement method, with no intervening methods.

  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    startElement in class AbstractXMLDocumentParser

### characters

    public void characters(XMLString text,
                           Augmentations augs)
                    throws XNIException

  Character content.

  Parameters:
    `text` - The content.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    characters in class AbstractXMLDocumentParser

### ignorableWhitespace

    public void ignorableWhitespace(XMLString text,
                                    Augmentations augs)
                             throws XNIException

  Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.

  Parameters:
    `text` - The ignorable whitespace.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    ignorableWhitespace in class AbstractXMLDocumentParser

### endElement

    public void endElement(QName element,
                           Augmentations augs)
                    throws XNIException

  The end of an element.

  Parameters:
    `element` - The name of the element.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    endElement in class AbstractXMLDocumentParser

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix,
                                 Augmentations augs)
                          throws XNIException

  The end of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Parameters:
    `prefix` - The namespace prefix.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    endPrefixMapping in class AbstractXMLDocumentParser

### startCDATA

    public void startCDATA(Augmentations augs)
                    throws XNIException

  The start of a CDATA section.

  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    startCDATA in class AbstractXMLDocumentParser

### endCDATA

    public void endCDATA(Augmentations augs)
                  throws XNIException

  The end of a CDATA section.

  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    endCDATA in class AbstractXMLDocumentParser

### comment

    public void comment(XMLString text,
                        Augmentations augs)
                 throws XNIException

  A comment.

  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by application to signal an error.
  Overrides:
    comment in class AbstractXMLDocumentParser

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      XMLString data,
                                      Augmentations augs)
                               throws XNIException

  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    processingInstruction in class AbstractXMLDocumentParser

### endDocument

    public void endDocument(Augmentations augs)
                     throws XNIException

  The end of the document.

  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    endDocument in class AbstractXMLDocumentParser

### startExternalSubset

    public void startExternalSubset(XMLResourceIdentifier identifier,
                                    Augmentations augs)
                             throws XNIException

  The start of the DTD external subset.

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    startExternalSubset in class AbstractXMLDocumentParser

### endExternalSubset

    public void endExternalSubset(Augmentations augs)
                           throws XNIException

  The end of the DTD external subset.

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    endExternalSubset in class AbstractXMLDocumentParser

### startParameterEntity

    public void startParameterEntity(java.lang.String name,
                                     XMLResourceIdentifier identifier,
                                     java.lang.String encoding,
                                     Augmentations augs)
                              throws XNIException

  This method notifies of the start of parameter entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entity names are just the entity name.

  Note: Since the document is an entity, the handler will be notified of the start of the document entity by calling the startEntity method with the entity name "[xml]" before calling the startDocument method. When exposing entity boundaries through the SAX API, the document entity is never reported, however.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `name` - The name of the parameter entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    startParameterEntity in class AbstractXMLDocumentParser

### endParameterEntity

    public void endParameterEntity(java.lang.String name,
                                   Augmentations augs)
                            throws XNIException

  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entity names are just the entity name.

  Note: Since the document is an entity, the handler will be notified of the end of the document entity by calling the endEntity method with the entity name "[xml]" after calling the endDocument method. When exposing entity boundaries through the SAX API, the document entity is never reported, however.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `name` - The name of the parameter entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    endParameterEntity in class AbstractXMLDocumentParser

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String contentModel,
                            Augmentations augs)
                     throws XNIException

  An element declaration.

  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    elementDecl in class AbstractXMLDocumentParser

### attributeDecl

    public void attributeDecl(java.lang.String elementName,
                              java.lang.String attributeName,
                              java.lang.String type,
                              java.lang.String[] enumeration,
                              java.lang.String defaultType,
                              XMLString defaultValue,
                              XMLString nonNormalizedDefaultValue,
                              Augmentations augs)
                       throws XNIException

  An attribute declaration.

  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION" or "NOTATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    attributeDecl in class AbstractXMLDocumentParser

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   XMLString text,
                                   XMLString nonNormalizedText,
                                   Augmentations augs)
                            throws XNIException

  An internal entity declaration.

  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    internalEntityDecl in class AbstractXMLDocumentParser

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   XMLResourceIdentifier identifier,
                                   Augmentations augs)
                            throws XNIException

  An external entity declaration.

  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `identifier` - An object containing all location information pertinent to this entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    externalEntityDecl in class AbstractXMLDocumentParser

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   XMLResourceIdentifier identifier,
                                   java.lang.String notation,
                                   Augmentations augs)
                            throws XNIException

  An unparsed entity declaration.

  Parameters:
    `name` - The name of the entity.
    `identifier` - An object containing all location information pertinent to this entity.
    `notation` - The name of the notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    unparsedEntityDecl in class AbstractXMLDocumentParser

### notationDecl

    public void notationDecl(java.lang.String name,
                             XMLResourceIdentifier identifier,
                             Augmentations augs)
                      throws XNIException

  A notation declaration

  Parameters:
    `name` - The name of the notation.
    `identifier` - An object containing all location information pertinent to this notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    notationDecl in class AbstractXMLDocumentParser

### endDTD

    public void endDTD(Augmentations augs)
                throws XNIException

  The end of the DTD.

  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    XNIException - Thrown by handler to signal an error.
  Overrides:
    endDTD in class AbstractXMLDocumentParser

### parse

    public void parse(java.lang.String systemId)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Parses the input source specified by the given system identifier.

  This method is equivalent to the following:

           parse(new InputSource(systemId));

  Specified by:
    parse in interface org.xml.sax.Parser

  Parameters:
    `source` - The input source.
  Throws:
    org.xml.sax.SAXException - Throws exception on SAX error.
    java.io.IOException - Throws exception on i/o error.

### parse

    public void parse(org.xml.sax.InputSource inputSource)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  parse
  Specified by:
    parse in interface org.xml.sax.Parser

  Parameters:
    `inputSource` -
  Throws:
    org.xml.sax.SAXException -
    java.io.IOException -

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  Sets the resolver used to resolve external entities. The EntityResolver interface supports resolution of public and system identifiers.
  Specified by:
    setEntityResolver in interface org.xml.sax.Parser

  Parameters:
    `resolver` - The new entity resolver. Passing a null value will uninstall the currently installed resolver.

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Return the current entity resolver.
  Specified by:
    getEntityResolver in interface org.xml.sax.XMLReader

  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `setEntityResolver(org.xml.sax.EntityResolver)`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    setErrorHandler in interface org.xml.sax.Parser

  Parameters:
    `errorHandler` - The error handler.
  Throws:
    java.lang.NullPointerException - If the handler argument is null.
  See Also:
    `getErrorHandler()`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Return the current error handler.
  Specified by:
    getErrorHandler in interface org.xml.sax.XMLReader

  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `setErrorHandler(org.xml.sax.ErrorHandler)`

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws org.xml.sax.SAXException

  Set the locale to use for messages.
  Specified by:
    setLocale in interface org.xml.sax.Parser

  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    org.xml.sax.SAXException - An exception thrown if the parser does not support the specified locale.
  See Also:
    `Parser`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler dtdHandler)

  Allow an application to register a DTD event handler.

  If the application does not register a DTD handler, all DTD events reported by the SAX parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    setDTDHandler in interface org.xml.sax.Parser

  Parameters:
    `dtdHandler` - The DTD handler.
  Throws:
    java.lang.NullPointerException - If the handler argument is null.
  See Also:
    `getDTDHandler()`

### setDocumentHandler

    public void setDocumentHandler(org.xml.sax.DocumentHandler documentHandler)

  Allow an application to register a document event handler.

  If the application does not register a document handler, all document events reported by the SAX parser will be silently ignored (this is the default behaviour implemented by HandlerBase).

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    setDocumentHandler in interface org.xml.sax.Parser

  Parameters:
    `documentHandler` - The document handler.

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler contentHandler)

  Allow an application to register a content event handler.

  If the application does not register a content handler, all content events reported by the SAX parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    setContentHandler in interface org.xml.sax.XMLReader

  Parameters:
    `contentHandler` - The content handler.
  Throws:
    java.lang.NullPointerException - If the handler argument is null.
  See Also:
    `getContentHandler()`

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Return the current content handler.
  Specified by:
    getContentHandler in interface org.xml.sax.XMLReader

  Returns:
    The current content handler, or null if none has been registered.
  See Also:
    `setContentHandler(org.xml.sax.ContentHandler)`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Return the current DTD handler.
  Specified by:
    getDTDHandler in interface org.xml.sax.XMLReader

  Returns:
    The current DTD handler, or null if none has been registered.
  See Also:
    `setDTDHandler(org.xml.sax.DTDHandler)`

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.
  Specified by:
    setFeature in interface org.xml.sax.XMLReader

  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    org.xml.sax.SAXNotRecognizedException - If the requested feature is not known.
    org.xml.sax.SAXNotSupportedException - If the requested feature is known, but the requested state is not supported.

### getFeature

    public boolean getFeature(java.lang.String featureId)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Query the state of a feature. Query the current state of any feature in a SAX2 parser. The parser might not recognize the feature.
  Specified by:
    getFeature in interface org.xml.sax.XMLReader

  Parameters:
    `featureId` - The unique identifier (URI) of the feature being set.
  Returns:
    The current state of the feature.
  Throws:
    org.xml.sax.SAXNotRecognizedException - If the requested feature is not known.
    org.xml.sax.SAXNotSupportedException - If the requested feature is known but not supported.

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Set the value of any property in a SAX2 parser. The parser might not recognize the property, and if it does recognize it, it might not support the requested value.
  Specified by:
    setProperty in interface org.xml.sax.XMLReader

  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
    `Object` - The value to which the property is being set.
  Throws:
    org.xml.sax.SAXNotRecognizedException - If the requested property is not known.
    org.xml.sax.SAXNotSupportedException - If the requested property is known, but the requested value is not supported.

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyId)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Query the value of a property. Return the current value of a property in a SAX2 parser. The parser might not recognize the property.
  Specified by:
    getProperty in interface org.xml.sax.XMLReader

  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Returns:
    The current value of the property.
  Throws:
    org.xml.sax.SAXNotRecognizedException - If the requested property is not known.
    org.xml.sax.SAXNotSupportedException - If the requested property is known but not supported.

### setDeclHandler

    protected void setDeclHandler(org.xml.sax.ext.DeclHandler handler)
                           throws org.xml.sax.SAXNotRecognizedException,
                                  org.xml.sax.SAXNotSupportedException

  Set the DTD declaration event handler.

  This method is the equivalent to the property:

       http://xml.org/sax/properties/declaration-handler

  Parameters:
    `handler` - The new handler.
  See Also:
    `getDeclHandler()`, `setProperty(java.lang.String, java.lang.Object)`

### getDeclHandler

    protected org.xml.sax.ext.DeclHandler getDeclHandler()
                                                  throws org.xml.sax.SAXNotRecognizedException,
                                                         org.xml.sax.SAXNotSupportedException

  Returns the DTD declaration event handler.

  See Also:
    `setDeclHandler(org.xml.sax.ext.DeclHandler)`

### setLexicalHandler

    protected void setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)
                              throws org.xml.sax.SAXNotRecognizedException,
                                     org.xml.sax.SAXNotSupportedException

  Set the lexical event handler.

  This method is the equivalent to the property:

       http://xml.org/sax/properties/lexical-handler

  Parameters:
    `handler` - lexical event handler
  See Also:
    `getLexicalHandler()`, `setProperty(java.lang.String, java.lang.Object)`

### getLexicalHandler

    protected org.xml.sax.ext.LexicalHandler getLexicalHandler()
                                                        throws org.xml.sax.SAXNotRecognizedException,
                                                               org.xml.sax.SAXNotSupportedException

  Returns the lexical handler.

  See Also:
    `setLexicalHandler(org.xml.sax.ext.LexicalHandler)`

### reset

    public void reset()
               throws XNIException

  Reset all components before parsing.

  Throws:
    XNIException - Thrown if an error occurs during initialization.
  Overrides:
    reset in class AbstractXMLDocumentParser

### getElementPSVI

    public ElementPSVI getElementPSVI()

  Specified by:
    getElementPSVI in interface weblogic.apache.xerces.impl.xs.psvi.PSVIProvider

### getAttributePSVI

    public AttributePSVI getAttributePSVI(int index)

  Specified by:
    getAttributePSVI in interface weblogic.apache.xerces.impl.xs.psvi.PSVIProvider

### getAttributePSVIByName

    public AttributePSVI getAttributePSVIByName(java.lang.String uri,
                                                java.lang.String localname)

  Specified by:
    getAttributePSVIByName in interface weblogic.apache.xerces.impl.xs.psvi.PSVIProvider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD